import { ElasticsearchLoggerOptions } from './ElasticsearchLoggerOptions';
import { Search } from '@elastic/elasticsearch/api/requestParams';
import { TransportRequestPromise, RequestBody, Context, ApiResponse } from '@elastic/elasticsearch/lib/Transport';
export declare class ElasticsearchLoggerService {
    private readonly options;
    private readonly client;
    private indexes_cache;
    constructor(options: ElasticsearchLoggerOptions);
    createIndexIfNotExists(index: string, body?: any): Promise<void>;
    log<T>(level: string, message: T, indice?: string): Promise<string>;
    raw<T>(message: T, indice?: string): Promise<string>;
    info<T>(message: T, indice?: string): Promise<string>;
    error<T>(message: T, indice?: string): Promise<string>;
    debug<T>(message: T, indice?: string): Promise<string>;
    warning<T>(message: T, indice?: string): Promise<string>;
    trace<T>(message: T, indice?: string): Promise<string>;
    getLatest(index?: string): Promise<ApiResponse<Record<string, any>, Record<string, unknown>>>;
    search<TResponse = Record<string, any>, TRequestBody extends RequestBody = Record<string, any>, TContext = Context>(obj: Search): Promise<TransportRequestPromise<ApiResponse<TResponse, TContext>>>;
}
